CorePlusExtensionsParser (Lucene 2.4.1 API)
Keywords: org.apache.lucene.xmlparser.CorePlusExtensionsParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.xmlparser
Class CorePlusExtensionsParser

    java.lang.Object
      org.apache.lucene.xmlparser.CoreParser
          org.apache.lucene.xmlparser.CorePlusExtensionsParser

All Implemented Interfaces:
  QueryBuilder

    public class CorePlusExtensionsParser

extends CoreParser

Licensed to the Apache Software Foundation (ASF) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership. The ASF licenses this file to You under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Field Summary

Fields inherited from class org.apache.lucene.xmlparser.CoreParser
`analyzer, filterFactory, maxNumCachedFilters, parser, queryFactory`

Constructor Summary
`CorePlusExtensionsParser(Analyzer analyzer, QueryParser parser)` Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronised on this parser
`CorePlusExtensionsParser(String defaultField, Analyzer analyzer)` Constructs an XML parser that creates a QueryParser for each UserQuery request.

Method Summary

Methods inherited from class org.apache.lucene.xmlparser.CoreParser
`addFilterBuilder, addQueryBuilder, getQuery, parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorePlusExtensionsParser

    public CorePlusExtensionsParser(Analyzer analyzer,
                                    QueryParser parser)

  Construct an XML parser that uses a single instance QueryParser for handling UserQuery tags - all parse operations are synchronised on this parser

  Parameters:
    `analyzer` -
    `parser` - A QueryParser which will be synchronized on during parse calls.

### CorePlusExtensionsParser

    public CorePlusExtensionsParser(String defaultField,
                                    Analyzer analyzer)

  Constructs an XML parser that creates a QueryParser for each UserQuery request.

  Parameters:
    `defaultField` - The default field name used by QueryParsers constructed for UserQuery tags
    `analyzer` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.